//首页商品


$(document).on("pageshow", "#index", function () {
    $("#indexcp").empty();
    $.ajax({
        url: "program/operate.ashx?a=indexcp",
        cache: false,
        error: function () { alert('加载失败'); },
        success: function (result) {
            if (result != '') {
                $("#indexcp").append(result);
            }
        }
    });

    $("#index_list_ul").empty();
    $.ajax({
        url: "program/operate.ashx?a=like",
        cache: false,
        error: function () { alert('加载失败'); },
        success: function (result) {
            if (result != '') {
                $("#index_list_ul").append(result);   // prepend
                $("#index_list_ul").listview('refresh');
            }
        }
    });
});



$(document).on("pageshow", "#product_list1", function () {
    $("#product_list1_ul").empty();
    $.ajax({
        url: "program/operate.ashx?a=product_list1",
        cache: false,
        error: function () { alert('加载失败'); },
        success: function (result) {
            if (result != '') {
                $("#product_list1_ul").append(result);
                $("#product_list1_ul").listview('refresh');
            }
        }
    });
});




$(document).on("pageshow", "#information_list", function () {
    $("#information_list_ul").empty();
    var where = $("#information_list #where").val();
    $.ajax({
        url: "program/operate.ashx?a=information_list&where="+where+"",
        cache: false,
        error: function () { alert('加载失败'); },
        success: function (result) {
            if (result != '') {
                $("#information_list_ul").append(result);
                $("#information_list_ul").listview('refresh');
            }
        }
    });
});

$(document).on("pageshow", "#product", function () {
    $("#product_ul").empty();;
    $.ajax({
        url: "program/operate.ashx?a=products",
        cache: false,
        error: function () { alert('加载失败'); },
        success: function (result) {
            if (result != '') {
                $("#product_ul").append(result);
                $("#product_ul").listview('refresh');
            }
        }
    });
});
//text 提示文字
//type 类型：1、返回，2、跳转
//url 跳转网址
function alert(text) {
    $("#myalert").attr("href", "alert.aspx?a_text=" + atext + "&a_url=''");
    $("#myalert").trigger("click");
}

function alert(text, surl) {
    $("#myalert").attr("href", "alert.aspx?a_text=" + text + "&a_url=" + surl);
    $("#myalert").trigger("click");
}





